Gtk2::Gdk::Rectangle(3)

NAME
Gtk2::Gdk::Rectangle

HIERARCHY
  Glib::Boxed
  +----Gtk2::Gdk::Rectangle

METHODS

  rectangle = Gtk2::Gdk::Rectangle->new ($x, $y, $width, $height)

•   $x (integer)

•   $y (integer)

•   $width (integer)

•   $height (integer)

  integer = $rectangle->height

  oldvalue = $rectangle->height ($newvalue)

•   $newvalue (integer)

  rectangle = $src1->intersect ($src2)

•   $src2 (Gtk2::Gdk::Rectangle)

  rectangle = $src1->union ($src2)

•   $src2 (Gtk2::Gdk::Rectangle)

  (x, y, width, height) = $rectangle->values

  integer = $rectangle->width

  oldvalue = $rectangle->width ($newvalue)

•   $newvalue (integer)

  integer = $rectangle->x

  oldvalue = $rectangle->x ($newvalue)

•   $newvalue (integer)

  integer = $rectangle->y

  oldvalue = $rectangle->y ($newvalue)

•   $newvalue (integer)

SEE ALSO
Gtk2, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.